Package com.omnisci.thrift.server

## Class OmniSci.AsyncClient.get_all_roles_for_user_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall<List<String>>
  - - com.omnisci.thrift.server.OmniSci.AsyncClient.get_all_roles_for_user_call

Enclosing class:
  OmniSci.AsyncClient

    public static class OmniSci.AsyncClient.get_all_roles_for_user_call
    extends org.apache.thrift.async.TAsyncMethodCall<List<String>>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

`org.apache.thrift.async.TAsyncMethodCall.State`

### Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

`client, transport`

### Constructor Summary

Constructors
`get_all_roles_for_user_call​(String session, String userName, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getResult()`
`void` `write_args​(org.apache.thrift.protocol.TProtocol prot)`

### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### get_all_roles_for_user_call

    public get_all_roles_for_user_call​(String session,
                                       String userName,
                                       org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler,
                                       org.apache.thrift.async.TAsyncClient client,
                                       org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                       org.apache.thrift.transport.TNonblockingTransport transport)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### Method Detail

#### write_args

    public void write_args​(org.apache.thrift.protocol.TProtocol prot)
                    throws org.apache.thrift.TException

Specified by:
  `write_args` in class `org.apache.thrift.async.TAsyncMethodCall<List<String>>`
Throws:
  `org.apache.thrift.TException`

#### getResult

    public List<String> getResult()
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.async.TAsyncMethodCall<List<String>>`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`